wibble::ParseContext< Token, Stream >::Fail Struct Reference

`#include <parse.h>`

## Public Types

enum | Type { Syntax, Semantic }

## Public Member Functions

bool | operator< (const Fail &other) const
| Fail (const char *err, int pos, Type t=Syntax)
| ~Fail () throw ()

## Public Attributes

int | position
const char * | expected
Type | type

## Member Enumeration Documentation

## Type

template<typename Token , typename Stream >

enum wibble::ParseContext::Fail::Type

Enumerator
Syntax |
Semantic |

## Constructor & Destructor Documentation

## Fail()

template<typename Token , typename Stream >

wibble::ParseContext< Token, Stream >::Fail::Fail | ( | const char * | err,
|  | int | pos,
|  | Type | t = `Syntax`
| ) |  |

inline

## ~Fail()

template<typename Token , typename Stream >

wibble::ParseContext< Token, Stream >::Fail::~Fail | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## operator<()

template<typename Token , typename Stream >

bool wibble::ParseContext< Token, Stream >::Fail::operator< | ( | const Fail & | other | ) | const

inline

References wibble::ParseContext< Token, Stream >::Fail::position.

## Member Data Documentation

## expected

template<typename Token , typename Stream >

const char* wibble::ParseContext< Token, Stream >::Fail::expected

Referenced by wibble::ParseContext< Token, Stream >::error().

## position

template<typename Token , typename Stream >

int wibble::ParseContext< Token, Stream >::Fail::position

Referenced by wibble::ParseContext< Token, Stream >::error(), and wibble::ParseContext< Token, Stream >::Fail::operator<().

## type

template<typename Token , typename Stream >

Type wibble::ParseContext< Token, Stream >::Fail::type

Referenced by wibble::ParseContext< Token, Stream >::error().

The documentation for this struct was generated from the following file:

- parse.h